# -*- coding: utf-8 -*-

module SidfmProbesHelper

  # 状態変化
  def create_status(is_last, is_elapsed)
    content_tag(:div) do
      if is_last == is_elapsed then
        concat content_tag(:i, '', :class => is_last ? 'far fa-circle' : 'fas fa-ban')
      else
        concat content_tag(:i, '', :class => is_last ? 'far fa-circle' : 'fas fa-ban')
        concat content_tag(:i, '', :class => 'fas fa-arrow-left')
        concat content_tag(:i, '', :class => is_elapsed ? 'far fa-circle' : 'fas fa-ban')
      end
    end
  end

  # パッケージリスト
  def create_pkg_list(pkgs)
    content_tag(:div, :class => 'd-inline-block balloon-dropdown dropright balloon-right position-static') do
      concat(button_tag(:name => 'button', :type => 'button', :class => 'create-balloon text-left dropdown-without-arrow btn btn-xs btn-light-nb2 align-middle my-1 text-nowrap show-pkgs summary-pkgs-btn', :isdata => 'true', :'data-toggle' => 'dropdown', :'data-boundary' => 'window', :'aria-haspopup' => 'true', :'aria-expanded' => 'false', :'data-flip' => 'false') do
               concat(content_tag(:span, :class => 'd-inline-flex balloon-text-area', :style => 'overflow: hidden; white-space: nowrap; text-overflow: ellipsis; margin-right: 2px;') do
                        content_tag(:span, 'パッケージ', :style => 'overflow:hidden;', :'data-displaytext' => 'パッケージ')
                      end)
               concat(content_tag(:span, :class => 'badge badge-pill badge-gray-999', :style => 'margin-left: 1px;', :'data-itemsize' => '3') do
                        "#{pkgs.size}"
                      end)
             end)
      concat(content_tag(:div, :class => 'dropdown-menu', 'x-placement' => 'right-start', :style => 'position: absolute; will-change: transform; top: 0px; left: 0px; transform: translate3d(353px, 60px, 0px);') do
               content_tag(:div, :class => 'balloon-menu') do
                 concat(content_tag(:div, '', :class => 'balloon-arrow'))
                 concat(content_tag(:div, :class => 'dropdown-item') do
                          content_tag(:div, :class => 'list-group', :'data-itemlist' => 'true') do
                            pkgs.each do |pkg|
                              concat(content_tag(:a, pkg, :href => '#', :class => 'list-group-item text-trucate g-max-width-16em disabled'))
                            end
                          end
                        end)
               end
             end)
    end
  end

  # サマリー表のチェックボックス
  def create_summary_probe_chkbox(ipaddress, checked)
    content = check_box_tag(nil, ipaddress, checked.include?(ipaddress),
                            :class => 'probeSelect')
  end

  # サマリー表のipaddress
  def create_summary_probe_ipaddress(ipaddress)
    content_tag(:div, ipaddress, :class => 'text-left')
  end

  # サマリー表のホスト名
  def create_summary_probe_hostname(hostname)
    content_tag(:div, (hostname || '---' ), :class => 'text-left')
  end

  # サマリー表の確認日時
  def create_summary_probe_datekey(datekey)
    content_tag(:div, datekey, :class => 'text-left')
  end

  # サマリー表の情報取得
  def create_summary_probe_is_ssh(is_last_ssh, is_elapsed_ssh)
    content_tag(:div, create_status(is_last_ssh, is_elapsed_ssh), :class => 'text-left')
  end

  # サマリー表のポート確認
  def create_summary_probe_is_nmap(is_last_nmap, is_elapsed_nmap)
    content_tag(:div, create_status(is_last_nmap, is_elapsed_nmap), :class => 'text-left')
  end

  # サマリー表のping確認
  def create_summary_probe_is_ping(is_last_ping, is_elapsed_ping)
    content_tag(:div, create_status(is_last_ping, is_elapsed_ping), :class => 'text-left')
  end

  # サマリー表のos情報
  def create_summary_probe_os(ident, name, version)
    content_tag(:div, :class => 'text-left') do
      if ident and name and version then
        if SidfmdQueuePkg.is_support?(ident, version) then
          "#{name} #{version}"
        else
          content_tag(:span, "#{name} #{version}", :class => 'text-warning', :title => '脆弱性照合に非対応のOS・パッケージです')
        end
      else
        '---'
      end
    end
  end

  # サマリー表のパッケージ
  def create_summary_probe_pkgs(pkgs)
    content_tag(:div, if pkgs.size > 0 then
                        create_pkg_list(pkgs)
                      else
                        '---'
                      end, :class => 'text-left')
  end

  # サマリー表の操作
  def create_summary_probe_edit(probe_apikey_id,is_last_ssh, sidfmd_host_id, sidfmd_host_hostname, ipaddress, hostname, last_datekey)
    content_tag(:div, :class => 'd-flex justify-content-center') do
      flag = true
      if is_last_ssh and sidfmd_host_id.nil? then
        flag = false
        # 新規登録
        concat(button_tag('ホスト登録',
                          :type => 'button',
                          :class => 'btn btn-sm btn-edit text-nowrap',
                          :data => {
                            :probeapikeyid => probe_apikey_id,
                            :ipaddress => ipaddress,
                            :hostname => hostname,
                            :create => 'true',
                          }))
        # 既存ホスト紐づけ
        concat(button_tag('ホスト紐づけ',
                          :type => 'button',
                          :class => 'btn btn-sm btn-edit text-nowrap',
                          :data => {
                            :probeapikeyid => probe_apikey_id,
                            :ipaddress => ipaddress,
                            :edit => 'true',
                          }))
      end
      if sidfmd_host_id then
        flag = false
        # 紐づけ削除
        if sidfmd_host_hostname then
          concat(link_to('ホスト詳細', { controller: :sidfm_host, :action => :index, :id => sidfmd_host_id }, :class => 'btn btn-sm btn-edit text-nowrap', :data => { :toggle => 'tooltip', :title => "#{sidfmd_host_hostname}" })) 
        else
          concat(link_to('ホスト詳細', {}, :class => 'btn btn-sm btn-edit text-nowrap disabled', :disable => 'disabled'))
        end
        concat(button_tag('紐づけ解除', :type => 'button',
                          :class => 'btn btn-sm btn-danger text-nowrap',
                          :data => {
                            :probeapikeyid => probe_apikey_id,
                            :ipaddress => ipaddress,
                            :hostid => sidfmd_host_id,
                            :delete => 'true',
                          }))
      end
      if flag then
        '---'
      end
    end
  end

  # サマリー表の生成
  def create_dynamic_table_probes_pages_params_form(opts)
    pages_params = []
    if opts[:probe_apikey_id] then
      pages_params << hidden_field_tag('pages[probe_apikey_id]', opts[:probe_apikey_id], :id => 'pages_probe_apikey_id')
    end
    if ([ :order, :filters, :checked, :all_checked, :offset, :per_page ] - opts.keys).any? then
      logger.info(opts)
      logger.error('check args of def create_dynamic_table_probes_pages_params_form')
      raise Exception
    end
    pages_params << hidden_field_tag('pages[order]', opts[:order], :id => 'pages_order')
    pages_params << hidden_field_tag('pages[offset]', opts[:offset], :id => 'pages_offset')
    pages_params << hidden_field_tag('pages[per_page]', opts[:per_page], :id => 'pages_per_page')
    pages_params << hidden_field_tag('pages[filters]', opts[:filters].to_json, :id => 'pages_filters')
    pages_params << hidden_field_tag('pages[checked]', opts[:checked].to_json, :id => 'pages_checked')
    pages_params << hidden_field_tag('pages[all_checked]', opts[:all_checked], :id => 'pages_all_checked')
    target_action = controller.action_name
    content = form_tag(
      url_for(
        :controller => controller.controller_name,
        :action => target_action,
        :anchor => 'SummaryTable'
      ),
      :method => :post,
      :id => 'pages_form'
    ) do
      pages_params.each do |prm|
        concat(prm)
      end
    end
  end

end
