#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

class SidfmdVersion < ActiveRecord::Base
  scope :support_end_versions, -> { where(:is_support_end => true) }
  scope :fullname_matched, -> (keyword) {
    where(
      'LOWER(fullname) LIKE ? OR LOWER(fullname) LIKE ?',
      ActiveRecord::Base.send(:sanitize_sql_like, keyword.downcase) + '%',
      '% ' + ActiveRecord::Base.send(:sanitize_sql_like, keyword.downcase) + '%'
    )
  }

  belongs_to :sidfmd_product
end
