/* coding: utf-8 */
/* Copyright (C) 2019 SofTek Systems, Inc. */

$(function() { 
  
  activate_sidebar_item("sidebar-item-systemsetting-manip");
  
  $('#URLModal').on('show.bs.modal', function(event){
      $('#hostname-label').hide();
      $('#reset-url').hide();
      $('#set-url').show();
      $('#execute-modify-url').prop('disabled', true);
      var button = $(event.relatedTarget);
      var protocol = button.data('protocol');
      var url = button.data('url');
                         var href = location.href.replace(location.protocol + '//', ''); 
                         var index = href.lastIndexOf('/sidfm/system_setting');
                         if(index === -1){
                             var page_url = 'err';
                         }else{
                             var page_url = href.slice(0,index); 
                         }
      var modal_values = [ protocol, url];
      $('#select-protocol').val(protocol)
      $('#form-url').val(url);
      $('#set-url').on('click', function(){
          if(page_url === 'err'){
              $(this).tooltip('show');
              setTimeout(function(){
                  $('#set-url').tooltip('hide');
              }, 3000);
          }else{
              $('#form-url').val(page_url);
              $('#select-protocol').val(location.protocol.slice(0, -1));
              switch_execute_btn('URLModal', modal_values);
          }
      });
      $('#reset-URLModal').on('click', function(){
        $('#select-protocol').val(protocol);
        $('#form-url').val(url);
      });
      $('#select-protocol').on('change',function(){
          switch_execute_btn('URLModal', modal_values); 
      });
      $('#form-url').on('input', function(){
          switch_execute_btn('URLModal', modal_values);
      });     
  });
  
      
  $('#MailAddressModal').on('show.bs.modal', function(event){
     $('#execute-modify-mail-address').prop('disabled', true);
     $('#mail-address-label').hide();
     var button = $(event.relatedTarget);
     var mail_address = button.data('mailaddress');
     $('#form-mail-address').val(mail_address);
     $('#form-mail-address').on('input', function(){
         switch_execute_btn('MailAddressModal', [mail_address]);
     });
  });
  
  $('#execute-modify-url').on('click', function (){
      $('#modify_url_form').submit();
  });
  $('#execute-modify-mail-address').on('click', function (){
      $('#modify_mail_address_form').submit();
  });

  $('#modify_url_form').on('submit', function(){
      return confirm('URLの設定を変更します。よろしいですか？');
  });
  $('#modify_mail_address_form').on('submit', function(){
      if(!$('#form-mail-address').val().match(/^([^@\s]+)@((?:[-a-z0-9]+\.)+[a-z]{2,})$/i)){
          $('#mail-address-label').text('メールアドレスに誤りがあります').show();
          $('#execute-modify-mail-address').prop('disabled', true);
          return false;
      }
      return confirm('メールアドレスの設定を変更します。よろしいですか？');
  });
  
  function switch_execute_btn(modal_id, values){
      var err_flag = 0;
      if(modal_id === 'URLModal'){
          var present_protocol = values[0];
          var present_url = values[1];
          if($('#select-protocol').val() === present_protocol && $('#form-url').val() === present_url){
              err_flag = 1;
          }
          if(!$('#form-url').val().match(/^[\x20-\x7e]*$/)){
               err_flag = 1;
               $('#hostname-label').show();
          }else{
              $('#hostname-label').hide();
          } 
          if(err_flag === 1){
              $('#execute-modify-url').prop('disabled', true);
          }else{
              $('#execute-modify-url').prop('disabled', false);
          }   
      }else if(modal_id === 'MailAddressModal'){
          var present_mail_address = values[0];
          var mail_address = $('#form-mail-address').val();
          if($('#form-mail-address').val() === present_mail_address){
              err_flag = 1;
          }
          if(!mail_address.match(/^[\x20-\x7e]*$/)){
              err_flag = 1;
              $('#mail-address-label').text('半角英数字で入力してください').show();
          }else{
              $('#mail-address-label').hide();
          }
          if(err_flag === 1){
              $('#execute-modify-mail-address').prop('disabled', true);
          }else{
              $('#execute-modify-mail-address').prop('disabled', false);
          }
      }
  }
 
  //パスワードポリシー変更modal
  //validation
  function toggle_password_policy_update_button(){
      var button = $('#execute-modify-password-policy');
      var min_length = $('#input-min-password-length').val();
      var selected_char_types = JSON.parse($('#available-chars-types').val());
      var selected_symbols = JSON.parse($('#available-symbols').val());
      if( min_length == '' || selected_char_types.length == 0 ){
          button.prop('disabled', true);
      }else{
          button.prop('disabled', false);
      }
  }

  function toggle_is_char_typs_mix_select(){
      var selected_char_types = JSON.parse($('#available-chars-types').val());
      if(selected_char_types.length <= 1){
          $('#select-is-chars-types-mix-needed').prop('disabled', true);
      }else{
          $('#select-is-chars-types-mix-needed').prop('disabled', false);
      }
  }
  
  $('#PasswordPolicyModal').on('show.bs.modal', function(e){
      var button = $(e.relatedTarget);
      var password_min_length = button.data('minlength');
      var available_char_types = button.data('chartypes');
      var available_symbols = button.data('symbols');
      var is_char_mix_needed = button.attr('data-charmix');
      var is_permited_password_same_as_username = button.attr('data-sameusername');
      var is_permited_password_includes_username = button.attr('data-includeusername');
      $('#input-min-password-length').val(password_min_length);
      $('#available-chars-types').val(JSON.stringify(available_char_types));
      $('#available-symbols').val(JSON.stringify(available_symbols));
      $('#select-is-chars-types-mix-needed').val(is_char_mix_needed);
      $('#select-permit-same-password-as-username').val(is_permited_password_same_as_username);
      $('#select-permit-includes-username').val(is_permited_password_includes_username);
      $('.select-char-type-chkbox').prop('checked', false);
      $('.select-symbol-chkbox').prop('checked', false);
      available_char_types.forEach(function(char_type){
          $('#select-' + char_type).prop('checked', true);
      });
      available_symbols.forEach(function(symbol){
          $('.select-symbol-chkbox[value="' + symbol + '"]').prop('checked', true); 
      });
      toggle_password_policy_update_button();
      toggle_is_char_typs_mix_select();
  });

  //利用可能な文字種の選択
  $('.select-char-type-chkbox').on('change', function(){
      var char_type = $(this).val();
      var is_checked = $(this).prop('checked');
      var selected_char_types = JSON.parse($('#available-chars-types').val());
      if( is_checked ){
          selected_char_types.push(char_type);
      }else{
          selected_char_types = selected_char_types.filter(function(item){
              return item != char_type;
          });
          if( char_type === 'sym' ) {
              $('#available-symbols').val('[]');
              $('.select-symbol-chkbox').prop('checked', false);
          }
      }
      $('#available-chars-types').val(JSON.stringify(selected_char_types));
      toggle_password_policy_update_button();
      toggle_is_char_typs_mix_select();
  });

  //利用可能な記号の選択
  $('.select-symbol-chkbox').on('change', function(){
      var symbol = $(this).val();
      var is_checked = $(this).prop('checked');
      var selected_symbols = JSON.parse($('#available-symbols').val());
      if( is_checked ){
          selected_symbols.push(symbol);
      }else{
          selected_symbols = selected_symbols.filter(function(item){
              return item != symbol;
          });
      }
      $('#available-symbols').val(JSON.stringify(selected_symbols));
      toggle_password_policy_update_button();
  });

  //記号の全選択・選択解除
  $('#check-all-symbols').on('click', function(){
      $('#available-symbols').val($('#all-symbols').val());
      $('.select-symbol-chkbox').prop('checked', true);
  });

  $('#uncheck-all-symbols').on('click', function(){
      $('#available-symbols').val('[]');
      $('.select-symbol-chkbox').prop('checked', false);
  });

  //最小文字数の入力
  $('#input-min-password-length').on('input', function(){
      if(!$(this).val().match(/[0-9]/)){
          $(this).val('');
      }
      toggle_password_policy_update_button();
  });

  //form送信
  $('#execute-modify-password-policy').on('click', function(){
      //「利用可能な文字種」で「記号」を選択している場合、「利用可能な記号」で１つ以上の選択が必要
      var selected_char_types = JSON.parse($('#available-chars-types').val());
      var selected_symbols = JSON.parse($('#available-symbols').val());
      if( selected_char_types.includes('sym') && $('.select-symbol-chkbox:checked').length === 0 ){
          alert('記号を１つ以上選択して下さい。\n※「利用可能な文字種」で「記号」を選択している場合、「利用可能な記号」で１つ以上の記号の選択が必要です。');
          return false;
      }
      //パスワードの最小文字数が設定可能な値(8-16)であるかチェック
      var min_length = $('#input-min-password-length').val();
      if( min_length < 8 ){
          alert('設定可能な最小文字数は8です。');
          return false;
      }else if( min_length > 16 ){
          alert('設定可能な最小文字数の最大値は16です。');
          return false;
      }
      $('#form-password-policy').submit(); 
  });

  //一度に同期処理をするホスト数変更
  $('#SyncHostsNumModal').on('show.bs.modal', function(e){
      var button = $(e.relatedTarget);
      var hosts_num = button.data('num');
      $('#sysc-hosts-num').val(hosts_num);
  });

  $('#submit-form-sync-hosts-num').on('click', function(){
      if( $('#sysc-hosts-num').val().length === 0 ){
          alert('ホスト数が入力されていません');
          return false;
      }
      $('#form-sync-hosts-num').submit();
  });

  $('#submit-form-sesstion-timeout').on('click', function(){
      var minutes = $('#session-time').val();
      if( minutes.length === 0){
          alert('数値を入力して下さい');
          return false;
      }
      var min_minutes = parseInt($('#min-session-timeout').val());
      if( minutes < min_minutes ){
          alert('最小値は' + min_minutes + '分です。');
          return false;
      }
      $('#form-set-sesstion-timeout').submit();
  });

  //脆弱性同期の周期変更
  $('#VulsyncIntervalModal').on('show.bs.modal', function(e){
      var button = $(e.relatedTarget);
      var interval = button.data('num');
      $('#vulsync-interval-field').val(interval);
  });

  $('#execute-set-vulsync-interval').on('click', function(){
      var interval = $('#vulsync-interval-field').val();
      var max = parseInt($('#max-vulsync-interval-num').val());
      var min = parseInt($('#min-vulsync-interval-num').val());
      if( !interval.length || !interval.match(/(\-{1}|)[0-9]/) || interval.match(/\./)){
          alert(`周期に${min}以上の数値(整数)を入力して下さい。`);
          return false;
      }
      if( parseInt(interval) < min ){
          alert(`設定可能な最小値は${min}です。`);
          return false;
      }
      if( parseInt(interval) > max ){
          alert(`設定可能な最大値は${max}です。`);
          return false;
      }
      $('#set-vulsync-interval-form').submit();
  });

  //セッションタイムアウトmodal
  $('#SessionTimeoutModal').on('show.bs.modal', function(e){
      var button = $(e.relatedTarget);
      $('#session-time').val(button.data('time'));
  });

  //ルールの最大登録件数modal
  $('#MaxRulesModal').on('show.bs.modal', function(e){
      var button = $(e.relatedTarget);
      $('#max-rules-field').val(button.data('maxrules'));
  });

  $('#execute-set-max-rules').on('click', function(){
      var num = $('#max-rules-field').val();
      if( num.length === 0 ){
          alert('数値を入力して下さい');
          return false;
      }
      var limit_num = parseInt($('#max-rules-limit-num').val());
      if( num > limit_num ){
          alert('最大値は' + limit_num + 'です。');
          return false;
      }
      if( num < 0 ){
          alert('負の値は設定できません。');
          return false;
      }
      $('#set-max-rules-form').submit();
  });

  //ルールの最大ログ件数
  $('#MaxRuleLogsModal').on('show.bs.modal', function(e){
      var button = $(e.relatedTarget);
      $('#max-rule-logs-field').val(button.data('maxsize'));
  });

  $('#execute-set-max-rule-logs').on('click', function(){
      var num = $('#max-rule-logs-field').val();
      if( num.length === 0 ){
          alert('数値を入力して下さい');
          return false;
      }
      var limit_num = parseInt($('#max-rule-logs-limit-num').val());
      if( num > limit_num ){
          alert('最大値は' + limit_num + 'です。');
          return false;
      }
      if( num < 0 ){
          alert('負の値は設定できません。');
          return false;
      }
      $('#set-max-rule-logs-form').submit();
  });

  // メール通知設定制限Modal
  $('#RestrictMailNotificationSettingModal').on('show.bs.modal', function(e){
      var button = $(e.relatedTarget);
      $('#select-restrict-mail-notification-setting').val(button.data('restrict-mail-notification-setting') ? 'true' : 'false');
  });

  $('#execute-restrict-mail-notification-setting').on('click', function(){
      $('#set-restrict-mail-notification-setting-form').submit();
  });

  // 非同期日数Modal
  $('#SyncingCheckSpanModal').on('show.bs.modal', function(e){
     var button = $(e.relatedTarget);
     $('#syncing-check-span').val(button.data('syncing-check-span'));
  });
  $('#execute-syncing-check-span').on('click', function() {
     $('#set-syncing-check-span-form').submit();
  });

  //CVE一覧画面の最大ダウンロード件数変更modal
  $('#CveMaxDownloadSizeModal').on('show.bs.modal', function(e){
      var button = $(e.relatedTarget);
      $('#max-cve-download-field').val(button.data('maxsize'));
  });

  $('#execute-set-max-cve-download-size').on('click', function(){
      var max_size = parseInt($('#max-cve-download-size').val());
      var min_size = parseInt($('#min-cve-download-size').val());
      var size = $('#max-cve-download-field').val();
      if( size === '' ){
          alert('件数を入力して下さい。');
          return false;
      }
      size = parseInt(size);
      if( size > max_size ){
          alert('最大値は' + max_size + '件です。');
          return false;
      }else if( size < min_size ){
          alert('最小値は' + min_size + '件です。');
          return false;
      }
      $('#set-max-cve-download-form').submit();
  });
  
  //履歴画面の最大ダウンロード件数modal
  $('#HistoryMaxDownloadSizeModal').on('show.bs.modal', function(e){
      var button = $(e.relatedTarget);
      $('#max-history-download-field').val(button.data('maxsize'));
  });

  $('#execute-set-max-history-download-size').on('click', function(){
      var max_size = parseInt($('#max-history-download-size').val());
      var min_size = parseInt($('#min-history-download-size').val());
      var size = $('#max-history-download-field').val();
      if( size === '' ){
          alert('件数を入力して下さい。');
          return false;
      }
      size = parseInt(size);
      if( size > max_size ){
          alert('最大値は' + max_size + '件です。');
          return false;
      }else if( size < min_size ){
          alert('最小値は' + min_size + '件です。');
          return false;
      }
      $('#set-max-history-download-form').submit();
  });

  //パスワードの有効期限変更modal
  $('#PasswordPeriodModal').on('show.bs.modal', function(e){
      var button = $(e.relatedTarget);
      var period = button.data('period');
      $('#set-password-period-field').val(period == 0 ? '' : period);
      if( period == 0 ){
          $('#form_is_disable_period').prop('checked', true);
          $('#set-password-period-field').prop('disabled', true);
      }else{
          $('#form_is_disable_period').prop('checked', false);
          $('#set-password-period-field').prop('disabled', false);
      }
  });

  $('#form_is_disable_period').on('change', function(){
      if( $(this).prop('checked') ){
          $('#set-password-period-field').prop('disabled', true);
      }else{
          $('#set-password-period-field').prop('disabled', false);
      }
  });

  $('#execute-set-password-period').on('click', function(){
      var period = $('#set-password-period-field').val();
      var max_period = parseInt($('#max-password-period').val());
      if( period === '' && !$('#form_is_disable_period').prop('checked') ){
          alert('日数を入力して下さい。');
          return false;
      }
      period = parseInt(period);
      
      if( period > max_period ){
          alert('最大値は' + max_period + '日です。');
          return false;
      }else if( period < 1 ){
          alert('0日以下は設定できません。');
          return false;
      }

      $('#set-password-period-form').submit();
  });

  //影響のあるプロダクトの更新に応じて
  //対応状況を「影響無」から「未対策」に変更する modal
  
  $('#AffectProductStatusModal').on('show.bs.modal', function(e){
      var button = $(e.relatedTarget);
      var is_enable = button.data('enable');
      $('#set-vmdaemon-affect-product-status-select').val(is_enable ? 'enable': 'disable');
  });

  $('#execute-set-vmdaemon-affect-product-status').on('click', function(){
      $('#vmdaemon-affect-product-status-form').submit();
  });

  //削除済みホストの出力を抑制するmodal
  $('#DeletedHostDisplayModal').on('show.bs.modal', function(e){
      var button = $(e.relatedTarget);
      var is_enable = button.data('enable');
      $('#set-deleted-host-display-select').val(is_enable ? 'enable': 'disable');
  });

  //プロダクト名の表記揺れに対応するmodal
  $('#ProductNameInconsistencySupportStatusModal').on('show.bs.modal', function(e){
      var button = $(e.relatedTarget);
      var is_enable = button.data('enable');
      $('#set-product-name-inconsistency-support-status-select').val(is_enable ? 'enable': 'disable');
  });

  $('#execute-set-deleted-host-display').on('click', function(){
      $('#deleted-host-display-form').submit();
  });
  
  $('#execute-set-vmserver-url-hidden-status').on('click', function(){
      $('#vmserver-url-hidden-status-form').submit();
  });

  $('#execute-set-product-name-inconsistency-support-status').on('click', function(){
      $('#product-name-inconsistency-support-status-form').submit();
  });

  //enterでformが送信されるのを防ぐ
  $('.modal input').on('keydown', function(e) {
      if( (e.which && e.which === 13) || (e.keyCode && e.keyCode === 13) ){
          return false;
      } else {
          return true;
      }
  });    

}); 
