# -*- coding: utf-8 -*-

class CreateRoleSidfmope < ActiveRecord::Migration
  def up
    Role.transaction do
      # SIDfmVMの各Roleを取得
      # SIDfmVM利用者については、無ければ作成する。
      sidfmadm = Role.lock.find_by_name('SIDfmVM管理者')
      sidfmmng = Role.lock.find_by_name('SIDfmVM報告者')
      sidfmope = Role.lock.find_by_name('SIDfmVM利用者')
      sidfmusr = Role.lock.find_by_name('SIDfmVM閲覧者')
      unless sidfmope then
        # sidfmusrのpositionをsidfmopeに設定し、sidfmusrのpositionは、max(position)+1を設定する
        # その他の設定値はsidfmmngのものを参照する
        sidfmusr_position = sidfmusr.position
        sidfmope = Role.new
        sidfmope.name = 'SIDfmVM利用者'
        sidfmope.position = sidfmusr_position
        sidfmope.assignable = sidfmmng.assignable
        sidfmope.builtin = sidfmmng.builtin
        sidfmope.permissions = sidfmmng.permissions
        sidfmope.issues_visibility = sidfmmng.issues_visibility
        sidfmope.users_visibility = sidfmmng.users_visibility
        sidfmope.time_entries_visibility = sidfmmng.time_entries_visibility
        sidfmope.all_roles_managed = sidfmmng.all_roles_managed
        sidfmope.settings = sidfmmng.settings
        sidfmope.save
        sidfmope.reload(:lock => true)
        sidfmusr.update_attribute :position, Role.select(:position).maximum(:position) + 1
      end
      # 新permissionを各権限に付与
      # sidfmadm
      p_sidfmadm = sidfmadm.permissions
      flag_sidfmadm = false
      unless p_sidfmadm.include?(:user_admin_sidfm) then
        p_sidfmadm << :user_admin_sidfm
        flag_sidfmadm = true
      end
      unless p_sidfmadm.include?(:host_admin_sidfm) then
        p_sidfmadm << :host_admin_sidfm
        flag_sidfmadm = true
      end
      unless p_sidfmadm.include?(:rule_admin_sidfm) then
        p_sidfmadm << :rule_admin_sidfm
        flag_sidfmadm = true
      end
      if flag_sidfmadm then
        sidfmadm.permissions = p_sidfmadm
        sidfmadm.save
      end
      # sidfmmng
      p_sidfmmng = sidfmmng.permissions
      flag_sidfmmng = false
      unless p_sidfmmng.include?(:user_admin_sidfm) then
        p_sidfmmng << :user_admin_sidfm
        flag_sidfmmng = true
      end
      unless p_sidfmmng.include?(:host_admin_sidfm) then
        p_sidfmmng << :host_admin_sidfm
        flag_sidfmmng = true
      end
      unless p_sidfmmng.include?(:role_admin_sidfm) then
        p_sidfmmng << :rule_admin_sidfm
        flag_sidfmmng = true
      end
      if flag_sidfmmng then
        sidfmmng.permissions = p_sidfmmng
        sidfmmng.save
      end
      # sidfmope
      p_sidfmope = sidfmope.permissions
      unless p_sidfmope.include?(:host_limited_admin_sidfm) then
        p_sidfmope << :host_limited_admin_sidfm
        sidfmope.permissions = p_sidfmope
        sidfmope.save
      end
    end
  end

  def down
    # 注意：バージョンダウンしても削除しない。
  end
end
